Subject: re: compile 2.2.12 with binutil 2.9.5.0.29

From: George France <[email-masked]>
Date: Mon, 6 Mar 2000 13:43:44 -0500

-----Original Message-----
From: George France 
Sent: Monday, March 06, 2000 1:39 PM
To: [email-masked]'
Subject: RE: compile 2.2.12 with binutil 2.9.5.0.29

Hello;

Where the gcc specs files resideds depends upon the options you selected
when you created the tool chain.  You can the specs file with:

find / -name specs -print

or

look for a directory structure like:

/skiff/local/lib/gcc-lib/arm-linux/2.95.2

This is where my specs file is stored, because I used the Prefix of
/skiff/local with the Target of arm-linux and Version 2.95.2.

I hope this helps.

Best Regards,

--George

George France,      [email-masked]
Cambridge Research Laboratory, Compaq Computer Corporation
One Kendall Square, Building 700     MS: CRL
Cambridge, MA 02139 USA

-----Original Message-----
From: "ªüõ" [mailto:[email-masked]]
Sent: Monday, March 06, 2000 12:33 PM
To: [email-masked]
Subject: compile 2.2.12 with binutil 2.9.5.0.29

	When I compile Linux 2.2.12 using binutil 2.9.5.0.29, I got the
following error message:
%make zImage
...
arm-linux-ld -T
/home/murphy/armbuild/linux-2.2.12/linux/arch/arm/vmlinux-armv.lds -e stext
-Ttext 0xC0008000
arch/arm/kernel/head-armv.o arch/arm/kernel/init_task.o init/main.o
init/version.o \
......
arm-linux-ld: target elf32arm not found

	From the release note of binutils-2.9.5.0.29, I have some hints:
To get the correct behaviour from gcc, amend the *link section of your specs
file as follows:

*link:
%{h*} %{version:-v}    %{b} %{Wl,*:%*}    %{static:-Bstatic}
%{shared:-shared}    %{symbolic:-Bsymbolic}    %{rdynamic:-export-dynamic}
%{!dynamic-linker: -dynamic-linker /lib/ld-linux.so.2}    -X
%{mbig-endian:-EB} %{mapcs-26:-m armelf_linux26}
%{!mapcs-26:-m armelf_linux} -p

	I guess it is necessary to modify the 'specs file'.
	But, where is the 'specs file'?

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for
++
++                        kernel-related discussions.
++

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++